//
//  AudioDownloader.swift
//  pinniped-ios
//
//  Created by Nathan Mattes on 25.08.23.
//

import Foundation

class AudioDownloader {

  let fileManager: FileManager
  let apiClient: APIClient

  init(fileManager: FileManager = .default, apiClient: APIClient) {
    self.fileManager = fileManager
    self.apiClient = apiClient
  }

  func downloadAudioFile(for track: Track) async throws {
    let url = try fileManager.url(for: track)
    if fileManager.fileExists(atPath: url.path()) == false {
      let data = try await apiClient.downloadTrack(for: track)
      try fileManager.store(data: data, track: track)
    }
  }
}
