//
//  FileManager+Extensions.swift
//  pinniped-ios
//
//  Created by Nathan Mattes on 15.08.23.
//

import Foundation

extension FileManager {
  // store file
  func store(data: Data, track: Track) throws {
    let filePathURL = try url(for: track)

    try data.write(to: filePathURL)
  }

  func url(for track: Track) throws -> URL {
    guard let documentsDirectory = documentsDirectory() else { throw FunkwhaleError.listenToTrackFailed }

    let filePathURL = documentsDirectory.appending(path: "\(track.id)").appendingPathExtension("mp3")

    return filePathURL
  }

  func documentsDirectory() -> URL? {
    return self.urls(for: .documentDirectory, in: .userDomainMask).first
  }
}
