//
//  PinnipedDateFormatter.swift
//  pinniped-ios
//
//  Created by Nathan Mattes on 25.08.23.
//

import Foundation

class PinnipedDateFormatter {

  static let shared = PinnipedDateFormatter()
  private let yearFormatter: DateFormatter

  private let calendar = Calendar.autoupdatingCurrent

  init() {
    yearFormatter = DateFormatter()
    yearFormatter.dateFormat = "yyyy-MM-dd"
  }

  func getYear(fromAlbumReleaseDateString releaseDate: String) -> Int? {
    guard let date = yearFormatter.date(from: releaseDate) else { return nil }

    return calendar.component(.year, from: date)
  }
}
