//
//  FunkwhaleError.swift
//  pinniped-ios
//
//  Created by Nathan Mattes on 09.08.23.
//

import Foundation

enum FunkwhaleError: Error {
  case noURL
  case loginFailed
  case registrationFailed
  case albumDownloadFailed
  case artistsDownloadFailed
  case listenToTrackFailed

  var localizedDescription: String {
    switch self {
      case .noURL:
        return "No baseURL."
      case .loginFailed:
        return "Login failed"
      case .registrationFailed:
        return "Registration failed. Please contact the Administrator of your Funkwhale-instance."
      case .albumDownloadFailed:
        return "Couldn't download albums."
      case .artistsDownloadFailed:
        return "Couldn't download artists."
      case .listenToTrackFailed:
        return "Couldn't download track"
    }
  }
}
