//
//  AlbumDetailsView.swift
//  pinniped-ios
//
//  Created by Nathan Mattes on 10.08.23.
//

import UIKit

class AlbumDetailsView: UIView {

  let tableView: UITableView
  
  override init(frame: CGRect) {

    tableView = UITableView(frame: .zero, style: .insetGrouped)
    tableView.translatesAutoresizingMaskIntoConstraints = false
    tableView.register(AlbumDetailsTracksTableViewCell.self, forCellReuseIdentifier: AlbumDetailsTracksTableViewCell.reuseIdentifier)
    tableView.register(AlbumDetailsCoverTableViewCell.self, forCellReuseIdentifier: AlbumDetailsCoverTableViewCell.reuseIdentifier)

    super.init(frame: frame)

    addSubview(tableView)
    setupConstraints()
  }

  required init?(coder: NSCoder) { fatalError("init(coder:) has not been implemented") }

  private func setupConstraints() {
    let constraints = [
      tableView.topAnchor.constraint(equalTo: topAnchor),
      tableView.leadingAnchor.constraint(equalTo: leadingAnchor),
      trailingAnchor.constraint(equalTo: tableView.trailingAnchor),
      bottomAnchor.constraint(equalTo: tableView.bottomAnchor),
    ]

    NSLayoutConstraint.activate(constraints)
  }
}
