//
//  ArtistAlbumsView.swift
//  pinniped-ios
//
//  Created by Nathan Mattes on 10.08.23.
//

import UIKit

class ArtistAlbumsView: UIView {
  let collectionView: UICollectionView

  override init(frame: CGRect) {
    //TODO: Layout
    let layout = UICollectionViewCompositionalLayout { sectionIndex, env in

      let itemSize = NSCollectionLayoutSize(widthDimension: .fractionalWidth(0.5), heightDimension: .fractionalHeight(1.0))
      let item = NSCollectionLayoutItem(layoutSize: itemSize)
      item.contentInsets = NSDirectionalEdgeInsets(top: 8, leading: 8, bottom: 8, trailing: 8)

      let groupSize = NSCollectionLayoutSize(widthDimension: .fractionalWidth(1.0), heightDimension: .estimated(250))
      let group = NSCollectionLayoutGroup.horizontal(layoutSize: groupSize, subitems: [item])

      let section = NSCollectionLayoutSection(group: group)
      return section
    }
    collectionView = UICollectionView(frame: .zero, collectionViewLayout: layout)
    collectionView.translatesAutoresizingMaskIntoConstraints = false
    collectionView.register(AlbumsCollectionViewCell.self, forCellWithReuseIdentifier: AlbumsCollectionViewCell.reuseIdentifier)
    collectionView.backgroundColor = .systemGroupedBackground

    super.init(frame: frame)

    addSubview(collectionView)

    backgroundColor = .systemGroupedBackground
    setupConstraints()
  }

  required init?(coder: NSCoder) { fatalError("init(coder:) has not been implemented") }

  private func setupConstraints() {
    let constraints = [
      collectionView.topAnchor.constraint(equalTo: topAnchor),
      collectionView.leadingAnchor.constraint(equalTo: leadingAnchor),
      trailingAnchor.constraint(equalTo: collectionView.trailingAnchor),
      bottomAnchor.constraint(equalTo: collectionView.bottomAnchor),
    ]

    NSLayoutConstraint.activate(constraints)

  }
}
