//
//  ArtistsTableViewCell.swift
//  pinniped-ios
//
//  Created by Nathan Mattes on 09.08.23.
//

import UIKit

class ArtistsTableViewCell: UITableViewCell {
  static let reuseIdentifier = "ArtistsTableViewCell"

  func update(with artist: Artist) {
    var configuration = UIListContentConfiguration.valueCell()

    configuration.text = artist.name
    if artist.albums.count == 1 {
      configuration.secondaryText = L10n.Artists.oneAlbum
    } else {
      configuration.secondaryText = L10n.Artists.moreThanOneAlbum(artist.albums.count)
    }
    configuration.secondaryTextProperties.color = .secondaryLabel
    accessoryType = .disclosureIndicator

    contentConfiguration = configuration
  }
}
