//
//  ArtistsView.swift
//  pinniped-ios
//
//  Created by Nathan Mattes on 09.08.23.
//

import UIKit

class ArtistsView: UIView {

  let tableView: UITableView

  override init(frame: CGRect) {

    tableView = UITableView(frame: .zero, style: .insetGrouped)
    tableView.translatesAutoresizingMaskIntoConstraints = false
    tableView.register(ArtistsTableViewCell.self, forCellReuseIdentifier: ArtistsTableViewCell.reuseIdentifier)
    tableView.refreshControl = UIRefreshControl()

    super.init(frame: frame)

    addSubview(tableView)
    setupConstraints()
  }

  required init?(coder: NSCoder) { fatalError("init(coder:) has not been implemented") }

  private func setupConstraints() {
    let constraints = [
      tableView.topAnchor.constraint(equalTo: topAnchor),
      tableView.leadingAnchor.constraint(equalTo: leadingAnchor),
      trailingAnchor.constraint(equalTo: tableView.trailingAnchor),
      bottomAnchor.constraint(equalTo: tableView.bottomAnchor),
    ]

    NSLayoutConstraint.activate(constraints)
  }
}
