//
//  Branding.swift
//  pinniped-ios
//
//  Created by Nathan Mattes on 10.08.23.
//

import UIKit

class Branding {
  static let shared = Branding()

  init() {
    styleNavigationBar()
    styleTabBar()
  }

  private func styleNavigationBar() {
    let transparentNavigationBarAppearance = UINavigationBarAppearance()
    transparentNavigationBarAppearance.configureWithTransparentBackground()

    let opaqueNavigationBarAppearance = UINavigationBarAppearance()
    opaqueNavigationBarAppearance.configureWithDefaultBackground()

    let appearance = UINavigationBar.appearance()

    appearance.tintColor = actionColor
    appearance.scrollEdgeAppearance = transparentNavigationBarAppearance
    appearance.compactAppearance = opaqueNavigationBarAppearance
    appearance.standardAppearance = opaqueNavigationBarAppearance
    appearance.compactScrollEdgeAppearance = transparentNavigationBarAppearance
  }

  private func styleTabBar() {
    let tabBarAppearance = UITabBarAppearance()
    tabBarAppearance.configureWithDefaultBackground()

    let transparentTabBarAppearance = UITabBarAppearance()
    transparentTabBarAppearance.configureWithTransparentBackground()

    let appearance = UITabBar.appearance()
    appearance.tintColor = actionColor
    appearance.scrollEdgeAppearance = transparentTabBarAppearance
    appearance.standardAppearance = tabBarAppearance
  }

  //MARK: - Colors

  var actionColor: UIColor {
    Asset.blue500.color
  }
}
