//
//  ConnectToFunkwhaleTableViewCell.swift
//  pinniped-ios
//
//  Created by Nathan Mattes on 09.08.23.
//

import UIKit

class ConnectToFunkwhaleTableViewCell: UITableViewCell {
  static let reuseIdentifier = "ConnectToFunkwhaleTableViewCell"

  let label: UILabel
  let textField: UITextField
  private let contentStackView: UIStackView

  override init(style: UITableViewCell.CellStyle, reuseIdentifier: String?) {

    label = UILabel()
    label.text = "URL"
    label.numberOfLines = 0

    textField = UITextField()
    textField.placeholder = "https://awesome-music.audio"
    textField.textAlignment = .right
    textField.autocapitalizationType = .none
    textField.autocorrectionType = .no
    textField.keyboardType = .URL

    contentStackView = UIStackView(arrangedSubviews: [label, textField])
    contentStackView.translatesAutoresizingMaskIntoConstraints = false
    contentStackView.axis = .horizontal
    contentStackView.spacing = 16

    super.init(style: style, reuseIdentifier: reuseIdentifier)

    contentView.addSubview(contentStackView)
    setupConstraints()
  }

  required init?(coder: NSCoder) { fatalError("init(coder:) has not been implemented") }

  private func setupConstraints() {
    let constraints = [
      contentStackView.topAnchor.constraint(equalTo: contentView.topAnchor, constant: 11),
      contentStackView.leadingAnchor.constraint(equalTo: contentView.leadingAnchor, constant: 16),
      contentView.trailingAnchor.constraint(equalTo: contentStackView.trailingAnchor, constant: 16),
      contentView.bottomAnchor.constraint(equalTo: contentStackView.bottomAnchor, constant: 11),
    ]

    NSLayoutConstraint.activate(constraints)
  }
}
