//
//  WelcomeViewController.swift
//  pinniped-ios
//
//  Created by Nathan Mattes on 08.08.23.
//

import UIKit


protocol WelcomeViewControllerDelegate: AnyObject {
  func connectFunkwhale(_ viewController: WelcomeViewController)
  func subscribe(_ viewController: WelcomeViewController)
}

class WelcomeViewController: UIViewController {
  
  weak var delegate: WelcomeViewControllerDelegate?

  var contentView: WelcomeView {
    view as! WelcomeView
  }

  init() {
    super.init(nibName: nil, bundle: nil)

    title = L10n.Welcome.title
    view.backgroundColor = .systemGroupedBackground
  }

  override func loadView() {
    let welcomeView = WelcomeView(frame: .zero)

    welcomeView.connectFunkwhaleButton.addTarget(self, action: #selector(showConnectFunkwhale(_:)), for: .touchUpInside)
    welcomeView.subscriptionButton.addTarget(self, action: #selector(subscribe(_:)), for: .touchUpInside)

    view = welcomeView
  }

  required init?(coder: NSCoder) { fatalError("init(coder:) has not been implemented") }

  //MARK: - Actions

  @objc
  func showConnectFunkwhale(_ sender: Any) {
    delegate?.connectFunkwhale(self)
  }

  @objc
  func subscribe(_ sender: Any) {
    delegate?.subscribe(self)
  }

  func loginSuccessful() {
    contentView.loginSuccessful()
  }
}
