//
//  PinnipedTabBarController.swift
//  pinniped-ios
//
//  Created by Nathan Mattes on 22.08.23.
//

import UIKit

class PinnipedTabBarController: UITabBarController {
  let currentSongWidget: CurrentSongWidget

  init() {
    currentSongWidget = CurrentSongWidget(frame: .zero)
    currentSongWidget.translatesAutoresizingMaskIntoConstraints = false
    currentSongWidget.isHidden = true

    super.init(nibName: nil, bundle: nil)

    view.addSubview(currentSongWidget)
    view.backgroundColor = .systemBackground

    setupConstraints()
  }

  required init?(coder: NSCoder) { fatalError("init(coder:) has not been implemented") }

  private func setupConstraints() {
    let constraints = [
      currentSongWidget.leadingAnchor.constraint(equalTo: view.safeAreaLayoutGuide.leadingAnchor, constant: 16),
      view.safeAreaLayoutGuide.trailingAnchor.constraint(equalTo: currentSongWidget.trailingAnchor, constant: 16),
      tabBar.safeAreaLayoutGuide.topAnchor.constraint(equalTo: currentSongWidget.bottomAnchor, constant: 16),
    ]

    NSLayoutConstraint.activate(constraints)

  }

}
